package com.cab.dao;

import com.cab.model.User;
import com.cku.core.BaseDAOMapper;

import java.util.List;

public interface UserMapper extends BaseDAOMapper<User> {
    int updateByPrimaryKeyWithBLOBs(User record);
    
    User selectByUsername(String username);
    
    User selectByUserPhone(String phone);
    
    User selectByPrimaryId(Integer id);
    List<User> selectAll();
}